<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en"
      xmlns:th="http://thymeleaf.org/"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Admin panel</title>
    <script src="/validacijaForm.js" type="text/javascript"></script>


    <link rel="canonical" href="https://getbootstrap.com/docs/5.0/examples/starter-template/">




    <!-- Bootstrap core CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">


    <style>
        .bd-placeholder-img {
            font-size: 1.125rem;
            text-anchor: middle;
            -webkit-user-select: none;
            -moz-user-select: none;
            user-select: none;
        }

        @media (min-width: 768px) {
            .bd-placeholder-img-lg {
                font-size: 3.5rem;
            }
        }
    </style>


    <!-- Custom styles for this template -->
    <link href="starter-template.css" rel="stylesheet">
</head>
<body>

<nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
    <div class="container-fluid">
        <a class="navbar-brand" href="#">Administratorski panel knjizara.rs</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarsExampleDefault">
            <ul class="navbar-nav me-auto mb-2 mb-md-0">
                <form sec:authorize="hasRole('ROLE_ADMIN')">
                    <li class="nav-item active">
                        <a class="nav-link" aria-current="page" href="/korisnici">Korisnici</a>
                    </li>
                </form>
                <li class="nav-item">
                    <a class="nav-link" href="/knjige12">Knjige</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/" tabindex="-1" >Povratak na pocetnu</a>
                </li>

            </ul>
        </div>
    </div>
</nav>
<br><br>
<main class="container">

    <div class="container my-2">
        <br>
        <h1>Izmena podataka knjige</h1>
        <br>
        <form action="#" th:action="@{/dodajKnjigu}" th:object="${knjiga}" method="POST" onsubmit="return validacijaKnjiga()">

            <input type="hidden" th:field="*{isbn}">
            <input type="text" id = "naziv" th:field="*{naziv}"   class="form-control mb-4 col-4">
            <input type="text" id="izdavackaKuca" th:field="*{izdavackaKuca}"  class="form-control mb-4 col-4">
            <input type="text" id="autor" th:field="*{autor}"  class="form-control mb-4 col-4">
            <input type="text" id="brojStranica" th:field="*{brojStranica}"  class="form-control mb-4 col-4">
            <input type="text" id="godinaIzdavanja" th:field="*{godinaIzdavanja}"  class="form-control mb-4 col-4">
            <input type="text" id="opis" th:field="*{opis}"  class="form-control mb-4 col-4">
            <input type="text" id="cena" th:field="*{cena}"  class="form-control mb-4 col-4">
            <h5>Tip poveza:</h5>

            <select th:field="*{povez}" class="form-control mb-4 col-4">
                <option th:value="'Tvrdi_povez'" th:text="Tvrdi"></option>
                <option th:value="'Meki_povez'" th:text="Meki"></option>
            </select>

            <h5>Pismo:</h5>

            <select th:field="*{pismoKnjige}" class="form-control mb-4 col-4">
                <option th:value="'Cirilica'" th:text="Cirilica"></option>
                <option th:value="'Latinica'" th:text="Latinica"></option>
            </select>

            <input type="text" id="jezik" th:field="*{jezik}"  class="form-control mb-4 col-4">
            <input type="text" id="prosecnaOcena" th:field="*{prosecnaOcena}"  class="form-control mb-4 col-4">
            <input type="text" id="slika" th:field="*{slika}"  class="form-control mb-4 col-4">
            <input type="text" id="zanr" th:field="*{zanrovi}"  class="form-control mb-4 col-4">

            <br>
            <button type="submit" class="btn btn-info col-2"> Izmeni </button>
        </form>







        <hr>

        <a th:href="@{/}"> Vrati se na listu knjiga</a>
    </div>

</main><!-- /.container -->


<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>


</body>
</html>
